# SIPMessageHandler Class Reference

`#include <handlers.h>`

Inheritance diagram for SIPMessageHandler:

[legend]
Collaboration diagram for SIPMessageHandler:
[legend]

## Public Member Functions

| SIPMessageHandler (SIPEndPoint &ep, const SIPMessage::Params &params)
virtual SIPTransaction * | CreateTransaction (OpalTransport &)
virtual void | OnFailed (SIP_PDU::StatusCodes)
virtual void | OnReceivedOK (SIPTransaction &transaction, SIP_PDU &response)
void | UpdateParameters (const SIPMessage::Params &params)

## Protected Attributes

SIPMessage::Params | m_parameters
bool | m_messageSent

## Constructor & Destructor Documentation

SIPMessageHandler::SIPMessageHandler | ( | SIPEndPoint & | ep,
|  | const SIPMessage::Params & | params |
| ) |  |  |

## Member Function Documentation

virtual SIPTransaction* SIPMessageHandler::CreateTransaction | ( | OpalTransport & |  | ) | `[virtual]`

Reimplemented from SIPHandler.

virtual void SIPMessageHandler::OnFailed | ( | SIP_PDU::StatusCodes |  | ) | `[virtual]`

Reimplemented from SIPHandler.

virtual void SIPMessageHandler::OnReceivedOK | ( | SIPTransaction & | transaction,
|  | SIP_PDU & | response |
| ) |  |  | `[virtual]`

Reimplemented from SIPHandler.

void SIPMessageHandler::UpdateParameters | ( | const SIPMessage::Params & | params | ) |

## Field Documentation

bool SIPMessageHandler::m_messageSent `[protected]`

SIPMessage::Params SIPMessageHandler::m_parameters `[protected]`

The documentation for this class was generated from the following file:

- handlers.h